
class Info {
private:
    // 看板
    SDL_Rect iSrc;
    SDL_Rect iDsr;

    // 看板背景
    SDL_Rect ibSrc;
    SDL_Rect ibDsr;

    // KM.
    SDL_Rect pSrc;
    SDL_Rect pDsr;

    // ダッシュゲージ
    SDL_Rect dSrc;
    SDL_Rect dDsr;

    // 数字の画像情報
    SDL_Rect nSrc;

    // レベル数字
    SDL_Rect lvDsr;

    // 走行距離の数字
    SDL_Rect pointDsr;

    // レベルゲージ
    SDL_Rect lvGSrc;
    SDL_Rect lvGDsr;

    // モードAとモードBのレコード
    SDL_Rect rASrc;
    SDL_Rect rADsr;
    SDL_Rect rANumDsr;
    SDL_Rect rBSrc;
    SDL_Rect rBDsr;
    SDL_Rect rBNumDsr;

    // Newレコード
    SDL_Rect nrNRSrc;
    SDL_Rect nrNRDsr;
    SDL_Rect nrKMSrc;
    SDL_Rect nrKMDsr;
    SDL_Rect nrNumDsr;
    // NewRecの点滅処理用
    int nrAlpha;
    int nrAlphai;

    // 2位数字描画用
    void drawNumber2(SDL_Surface* screen, SDL_Surface* image, int x, SDL_Rect Dsr, int num);
    // 5位数字描画用
    void drawNumber5(SDL_Surface* screen, SDL_Surface* image, int x, SDL_Rect Dsr, int num);

public:
    Info();

    ~Info() {
    };

    // ダッシュゲージの長さ
    int dushGaugeLen;

    // 看板情報の描画
    void Draw(SDL_Surface *screen, SDL_Surface *image, int level, int levelupCnt, int mode);
    // タイトルのレコードの描画
    void titleRec(SDL_Surface *screen, SDL_Surface *image, int recordA, int recordB);
    // NewRec描画
    void RecDraw(SDL_Surface *screen, SDL_Surface *image, int record);
};