#include "Game.h"
#include "BackGround.h"

BackGround::BackGround() {
    vBack = SDL_SetVideoMode(WIDTH, HEIGHT, VIDEOBIT, SDL_SWSURFACE);
    // 星の位置がランダム
    bX = rand() % WIDTH;
    bY = rand() % HEIGHT;
    backDsr.x = 0;
    backDsr.y = 0;
}

BackGround::~BackGround() {
    // 解放
    SDL_FreeSurface(vBack);
}

void BackGround::Draw(SDL_Surface *screen, Uint32 color) {
    // 星空の描画
    Draw_Pixel(vBack, bX, bY, color);
    SDL_BlitSurface(vBack, NULL, screen, &backDsr);
}

void BackGround::Move(int speed) {
    // 星空のスクロール
    bX -= speed + 2;
    if (bX <= 0) {
        bX = WIDTH;
        bY = rand() % HEIGHT;
    }
}

